CREATE DATABASE clientdb;
CREATE USER 'testuser'@'localhost' IDENTIFIED BY 'test';
GRANT ALL PRIVILEGES ON clientdb.* TO 'testuser'@'localhost';

USE clientdb;
CREATE TABLE client_user
(
    id                    BIGINT AUTO_INCREMENT PRIMARY KEY,
    username              VARCHAR(100),
    password              VARCHAR(50),
    access_token          VARCHAR(100) NULL,
    access_token_validity DATETIME     NULL,
    refresh_token         VARCHAR(100) NULL
);
INSERT INTO client_user (username, password) VALUE ('zhongmingmao', '123456');

# Starting with MySQL 8.0.4, they have changed the default authentication plugin for MySQL server from mysql_native_password to caching_sha2_password.
ALTER USER 'testuser'@'localhost' IDENTIFIED WITH mysql_native_password BY 'test';