package top.zhongmingmao.blog.clientapp;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletContextInitializer;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;

@SpringBootApplication
public class ClientAppApplication implements ServletContextInitializer {

  @Override
  public void onStartup(ServletContext context) throws ServletException {
    context.getSessionCookieConfig().setName("client-session");
  }

  public static void main(String[] args) {
    SpringApplication.run(ClientAppApplication.class, args);
  }
}
